/*
  \file
  \authors informatica (CDS Fisica) 2017/18
  \brief terzo file di test
 */
#include <stdio.h>
#include <unistd.h>
#include <time.h>
#include "gasret.h"

/* seme */
#define SEED 42

/* numero particelle */
#define N 25

/* numero passi prima simulazione */
#define T 300


/* attesa */
#define ATTESA usleep(100000);


int main (void) {
  int i, t;


  /* Test 3.1 */
  fprintf(stdout,"Test 3.1: \n");
  
  /* inizializzazione della matrice */
  inizializza(SEED,N);
  /* simulazione */
     for (t=0;t< T; t++) {
   /* calcolo prossimo passo */
   /* modifica matrice */
   step();
   }

   stampa_X1X2();

  /* Test 3.2 */
  fprintf(stdout,"Test 3.2: \n");

  /* calcolo e stampa delle distanze quadratiche medie */
  for (i=0;i<nparticelle; i++)
    fprintf(stdout,"%lf\n",delta(i));

  /* Test 3.3 */
  fprintf(stdout,"Test 3.3: \n");

  /* calcolo e stampa dello spostamento quadratico medio */
  fprintf(stdout,"spostamento quadratico medio = %lf\n",spostamento_quadratico_medio());

  


  return 0;

}
