/*
  \file
  \authors informatica (CDS Fisica) 2017/18
  \brief quarto file di test
 */
#include <stdio.h>
#include <unistd.h>
#include <time.h>
#include "gasret.h"







/* tempo simulazione 1 */
#define T 300000


/* passi simulazione 2 */
#define STEP 15


/* tempo base simulazione 2 */
#define T2 1000000

/* numero particelle simulazione 2 */
#define N 30


/* attesa */
#define ATTESA usleep(100000);



int main (void) {
  int i;
  
  /* Test 4.1 */
  fprintf(stdout,"Test 4.1: \n");

  /* approssimazione coeff diffusione per numeri diversi di particelle */
  for (i=1; i<= (L*L); i++) {
    /* inizializzazione della matrice */
    fprintf(stdout,"%.10lf ( T = %d , nparticelle = %d ) \n",approssima_diffusione(time(NULL),T,i),T, i);
#ifdef WAIT
    ATTESA 
#endif
      }

  
  /* Test 4.2 */
  fprintf(stdout,"Test 4.2: \n");
  
  /* approssimazioni coefficiente di diffusione al crescere di t */
  fprintf(stdout,"Approssimazioni coefficiente di diffusione:\n");
  
  for (i=1; i< STEP; i++){
    fprintf(stdout,"%.10lf ( T = %d,  nparticelle = %d) \n",approssima_diffusione(time(NULL),i*T2,N),i*T2, N);
   #ifdef WAIT
   ATTESA 
   #endif
     }

}
